<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="SmokeTesting Suite">
    <test name="ProductTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.store.ProductTest">
                <methods>
                    <include name="productFlow"/>
                    <include name="updateProduct"/>
                    <include name="updateProductName"/>
                    <include name="updateProductPrice"/>
                    <include name="updateProductStock"/>
                    <include name="updateProductSeq"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.store.SupplierProductTest">
                <methods>
                    <include name="productFlow"/>
                    <include name="updateProduct"/>
                    <include name="updateProductName"/>
                    <include name="updateProductPrice"/>
                    <include name="updateProductStock"/>
                    <include name="updateProductSeq"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.store.ConsignmentManagementTest">
                <methods>
                    <include name="consignmentManagementFlow"/>
                </methods>
            </class>
        </classes>
    </test>

    <test name="OrderTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.order.OrderTest">
                <methods>
                    <include name="realOrderCancel"/>
                    <include name="realProductDeliveryOrderTestCase"/>
                    <include name="orderChangeAmountDeliveryTestCase"/>
                    <include name="noDeliveryOrderTestCase"/>
                    <include name="multiRefundOrderTestCase"/>
                    <include name="unDeliveryRefundTest"/>
                    <include name="deliveryRefundTest"/>
                    <include name="receiveRefundTest"/>
                    <include name="unReceiveRefundDeLiveryTest"/>
                    <include name="receivedRefundDeLiveryTest"/>
                    <include name="receivedRefundTest"/>
                    <include name="receivedRefundDeliveryTest"/>
                    <include name="unDeliveryRefundTransFeeTest"/>
                    <include name="unDeliveryRefundAllTransFeeTest"/>
                    <include name="pickUpAdminProductOrderByStationCode"/>
                    <include name="pickUpAdminProductOrder"/>
                    <include name="stationPickUpAdminProductOrder"/>
                    <include name="userPickUpAdminProductOrder"/>
                    <include name="sameCityOrder"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.PreSaleOrderTest">
                <methods>
                    <include name="preSaleOrderCancel"/>
                    <include name="depositPreSaleOrderDeliveryTestCase"/>
                    <include name="depositPreSaleOrderChangeAmountDeliveryTestCase"/>
                    <include name="noDeliveryDepositPreSaleOrderTestCase"/>
                    <include name="refundDepositPreSaleOrderTestCase"/>
                    <include name="multiRefundDepositPreSaleOrderTestCase"/>
                    <include name="stationPickUpAdminDepositPreSaleOrder"/>
                    <include name="sameCityDepositPreSaleOrder"/>
                    <include name="multiRefundFullPreSaleOrderTestCase"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.ScoreOrderTest">
                <methods>
                    <include name="scoreOrderCancel"/>
                    <include name="scoreOrderDeliveryOrderTestCase"/>
                    <include name="scoreOrderNoDeliveryOrderTestCase"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.SupplierOrderTest">
                <methods>
                    <include name="cancelOrderTest"/>
                    <include name="changeAmountOrderTest"/>
                    <include name="noDeliveryOrderTest"/>
                    <include name="multiRefundOrderTest"/>
                    <include name="unDeliveryShopReceiveRefundOrderTest"/>
                    <include name="unDeliverySupplierReceiveRefundOrderTest"/>
                    <include name="deliveredShopReceiveRefundOrderTest"/>
                    <include name="deliveredSupplierReceiveRefundOrderTest"/>
                    <include name="deliveredShopReceiveRefundDeliveryTest"/>
                    <include name="deliveredSupplierReceiveRefundDeliveryTest"/>
                    <include name="receivedShopReceiveRefundTest"/>
                    <include name="receivedSupplierReceiveRefundTest"/>
                    <include name="receivedShopReceiveRefundDeliveryTest"/>
                    <include name="receivedSupplierReceiveRefundDeliveryTest"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.TransFeeFreesOrderTest">
                <methods>
                    <include name="fullAmountFreeFreight"/>
                    <include name="fullPriceFreeFreight"/>
                    <include name="fullPriceAndAmountFreeFreight"/>
                    <include name="fullConditionFreeFreightAndFreeFeeUserRight"/>
                    <include name="fullConditionFreeFreightAndNotFreeFreight"/>
                    <include name="differentProductFullConditionFreeFreight"/>
                    <include name="fullConditionFreeFreightAndNotFreeFreightAndFreeFeeUserRight"/>
                    <include name="freeFeeUserRight"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.VirtualOrderTest">
                <methods>
                    <include name="noWriteNumVirtualProductTestCase"/>
                    <include name="noWriteNumVirtualOrderTestCase"/>
                    <include name="singleWriteNumVirtualProductTestCase"/>
                    <include name="tripleWriteNumVirtualTestCase"/>
                    <include name="noWriteNumVirtualOrderRefundTestCase"/>
                    <include name="singleWriteNumVirtualOrderRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderWriteOffOnceRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderWriteOffTwiceRefundTestCase"/>
                    <include name="writeOffVirtualOrder"/>
                    <include name="writeOffVirtualOrderByWriteOffCode"/>
                    <include name="writeOffVirtualOrderByWriteOffQRCode"/>
                    <include name="writeOffVirtualOrderByStationCode"/>
                </methods>
            </class>
        </classes>
    </test>

    <test name="MarketingTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.marketing.ComboTest">
                <methods>
                    <include name="comboFlow"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.CouponTest">
                <methods>
                    <include name="shopCouponFlow"/>
                    <include name="shopCouponFlowWithVirtualProduct"/>
                    <include name="shopCouponFlowWithFullPreSaleProduct"/>
                    <include name="shopCouponFlowWithDepositPreSaleProduct"/>
                    <include name="shopCouponFlowWithSupplierProduct"/>
                    <include name="platformCouponFlow"/>
                    <include name="platformCouponFlowWithVirtualProduct"/>
                    <include name="platformCouponFlowWithFullPreSaleProduct"/>
                    <include name="platformCouponFlowDepositPreSaleProductProduct"/>
                    <include name="platformCouponFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DiscountAmountTest">
                <methods>
                    <include name="discountAmountTestWithRealProduct"/>
                    <include name="discountAmountTestWithVirtualProduct"/>
                    <include name="discountAmountTestWithDepositPreSaleProduct"/>
                    <include name="discountAmountTestWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DiscountTest">
                <methods>
                    <include name="discountFlow"/>
                    <include name="discountFlowWithVirtualProduct"/>
                    <include name="discountFlowWithFullPreSaleProduct"/>
                    <include name="discountFlowWithDepositPreSaleProduct"/>
                    <include name="discountFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.DistributionProdTest">
                <methods>
                    <include name="distributionProdFlow"/>
                    <include name="virtualDistributionProdFlow"/>
                    <include name="fullPreSaleDistributionProdFlow"/>
                    <include name="depositPreSaleDistributionProdFlow"/>
                    <include name="supplierDistributionProdFlow"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.GiveawayTest">
                <methods>
                    <include name="giveawayFlowWithRealProduct"/>
                    <include name="giveawayFlowWithFullPreSaleProduct"/>
                    <include name="giveawayFlowWithDepositProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.GroupTest">
                <methods>
                    <include name="groupFlowWithRealProduct"/>
                    <include name="groupFlowWithVirtualProduct"/>
                    <include name="groupFlowWithFullPreSaleProduct"/>
                    <include name="groupFlowWithSupplierProduct"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.marketing.SeckillTest">
                <methods>
                    <include name="secKillFlowWithRealProduct"/>
                    <include name="secKillFlowWithVirtualProduct"/>
                    <include name="secKillFlowWithFullPreSaleProduct"/>
                    <include name="secKillFlowWithSupplierProduct"/>
                </methods>
            </class>
        </classes>
    </test>

    <listeners>
        <listener class-name="org.uncommons.reportng.HTMLReporter"/>
        <listener class-name="org.uncommons.reportng.JUnitXMLReporter"/>
    </listeners>
</suite>
